IPhone 3GS avec iOS6 et iPad3 avec iOS7 ?

Karamazow

Membre émérite
29 Février 2008
578
56
Vienne (Isère)
Bonjour,

Voilà, je possède à la fois un iPhone3GS et un iPad3.

Seul mon iPad3 est éligible à iOS7.

Mon problème concerne les applications qui seront mises à jour iOS7.

Je suis intéressé par iOS7 sur mon iPad, mais je ne voudrais pas pénaliser mon iPhone3GS qui restera sous iOS6.

Or, je ne sais pas comment iTunes sur mon ordinateur va pouvoir gérer la situation:

Si je passe l'iPad à iOS7, est-ce que les prochaines mises à jours des applications pour iOS7 viendront supprimer les fichiers (*.ipa) des applications compatibles iOS6 sauvegardées sur l'iTunes de mon ordinateur ?

En effet, je n'ai pas installé toutes mes applications sur l'iPhone3GS, mais j'ai bien une version compatible iOS6 de chaque application.

Néanmoins, je voudrais pouvoir profiter des mises à jour des applications compatibles iOS6 sans avoir à consulter pour chacune des mises à jours proposées si elle est compatible (ou non) avec iOS6 de mon 3GS.

Alors voilà, est-ce que certains d'entre vous sont dans ce cas : Un appareil sou iOS7 et un autre sous iOS6 ?

Comment fonctionnez-vous en pratique ?

Merci d'avance pour vos conseils et retours d'expérience ! :up:
 

nifex

Membre d’élite
Club MacG
16 Décembre 2010
1 416
76
www.lacuisineenvideo.tv
Une des solutions serait de rendre l'iPad autonome en ne synchronisant plus les applications depuis iTunes.

Perso ca fait très longtemps que je n'utilise iTunes que pour synchro mes photos. pour les app maintenant tu peux directement tous gérer depuis l'appareil sous iOS, ainsi que les mise à jour.
 

-YoYo-

Membre junior
28 Mars 2011
34
0
Sinon j'ai lu que désormais, même si dans le futur certaines applications ne seront compatibles que avec iOS 7, depuis l'App Store il sera possible de télécharger une version plus ancienne pour iOS 6... :up:

---------- Nouveau message ajouté à 11h01 ---------- Le message précédent a été envoyé à 10h56 ----------

L?App Store permet désormais le téléchargement des anciennes versions des applications | Belgium-iPhone

Excellente nouvelle pour les personnes qui sont équipées d’un vieux modèle d’iPhone, d’iPod touch ou d’iPad. S’il ne leur était plus possible de télécharger des applications récentes – étant donné qu’elles sont réservées aux versions d’iOS et appareils les plus récents -, il leur est de nouveau possible de télécharger les dernières versions de ces applications compatibles avec la version d’iOS installée sur leur appareil. Concrètement, si un utilisateur d’iPhone 3GS souhaite, par exemple, télécharger l’application Evernote, l’App Store va lui proposer de télécharger une ancienne version de l’application compatible avec son appareil. Bien évidemment, l’utilisateur ne pourra pas profiter de toutes les nouveautés intégrées désormais dans l’application. En revanche, il a désormais de nouveau accès aux applications qu’il ne lui était plus possible de télécharger suite à l’arrivée de versions plus récentes, non compatibles avec l’OS de son appareil.
Apple semble donc avoir pris en compte la frustration de certains de ses clients qui ne pouvaient plus profiter de l’App Store comme au moment où ils venaient de se procurer leur appareil.
Nul doute que cette nouveauté devrait ravir toutes les personnes qui ne sont pas enclins à se procurer un nouvel appareil sous iOS, ou passer à la version supérieure d’iOS.

:D
 

Karamazow

Membre émérite
29 Février 2008
578
56
Vienne (Isère)
Une des solutions serait de rendre l'iPad autonome en ne synchronisant plus les applications depuis iTunes.

Perso ca fait très longtemps que je n'utilise iTunes que pour synchro mes photos. pour les app maintenant tu peux directement tous gérer depuis l'appareil sous iOS, ainsi que les mise à jour.

Excellente idée que tu proposes !

Par contre, il faut que je vérifie que mon ordinateur ne télécharge pas de lui-même les mises à jour d'applications effectuées directement depuis l'iPad3 sous iOS7.

Sinon j'ai lu que désormais, même si dans le futur certaines applications ne seront compatibles que avec iOS 7, depuis l'App Store il sera possible de télécharger une version plus ancienne pour iOS 6... :up:

Ce serait un excellent point si c'était systématique. Malheureusement, je crois avoir compris que l'application iOS6 présente sur l'AppStore pouvait à tout moment être retirée sur demande du développeur de l'application. De plus, j'ai aussi lu quelque part que les versions qui seront présentes sur l'AppStore ne seront pas systématiquement les dernières mises à jours compatibles avec iOS6. L'AppStore ne garderait que les MàJ majeures, par opposition aux PàJ de correction de bugs...

Quoi qu'il en soit, j'aimerai bien que tu ais raison au final, et que toutes mes applications de mon compte Achat valables sur iOS6 restent présentes sur l'AppStore !
 

John McClane

Membre junior
30 Août 2009
43
4
Lyon
www.philippe-roman.com
Salut, alors je suis dans ta situation car j'ai un iPhone 3GS sous iOS6, et un ipad 3 sous iOS7.
Eh bien aucun souci en ce qui concerne les applications mises à jour ou pas mises à jour : l'iPad les met à jour automatiquement, du coup l'iPhone en profite aussi car il est en mode "télécharger les nouvelles apps", et il ne lui reste à mettre à jour que ses propres apps. C'est 100% transparent et indolore! :)
 

Karamazow

Membre émérite
29 Février 2008
578
56
Vienne (Isère)
Hello John,

Merci pour ta réponse.

Cependant, le cas que tu évoques est ce que j'appellerai le "cas trivial".

En effet, si j'ai bien compris ta description, tu évoques les applications qui sont installées à la fois sur ton iPad 3 avec iOS7 et sur ton iPhone 3GS avec iOS6.

Effectivement, dans ce cas, j'imagine que les mises à jours proposées sur ton iPhone sont naturellement compatibles avec son iOS dans la mesure où ces mises à jours sont effectuées en OTA (Over The Air).

Mon débat porte plutôt sur les applications que j'ai achetées mais qui ne sont pas présentement installées sur l'iPhone.

Ma crainte est que iTunes sur mon Mac reçoive une mise à jour d'une application à cause de l'iPad 3 sous iOS7 qui vienne écraser la précédente version qui sera mise dans la corbeille. Si la nouvelle version n'est plus compatible iOS6, alors je perdrai la sauvegarde de ce fichier *.ipa compatible iOS6.

Qu'en pensez-vous tous ? :confused:
 

blx

Membre junior
20 Août 2012
19
0
Je suis strictement dans le même cas et même pire : j'au aussi un iPhone 2G pour lequel plus rien ou presque n'est compatible.
Une fausse manip un jour m'a amené à le réinitialiser et j'ai presque tout perdu, il ne reste que le strict nécessaire.
Ce n'est pas encore le cas pour le 3GS qui tourne sous iOS 6 mais ça va venir.

Ma solution pour le moment, mais bâtarde :
l'iPad est synchronisé sur mon MacBook, le 3GS sur le Mac de bureau, avec l'iPod Touch 4G.
iOS 7 (beurk) d'un côté, iOS 6 de l'autre…